{ common, ... }:

{
  wayland.windowManager.hyprland.settings = {
    "$mainMod" = "SUPER";
    "$shiftMod" = "$mainMod SHIFT";

    env = [
      "HYPRSHOT_DIR,${common.dir.pictures}/screenshots" # Store screenshots here
    ];

    bind = [
      "$mainMod, PRINT, exec, hyprshot -m window" # Window
      ", PRINT, exec, hyprshot -m output" # Monitor
      "$shiftMod, PRINT, exec, hyprshot -m region" # Region
    ];
  };
}
